<script lang="ts">
    export let num = 0
    export let stream: MediaStreamTrack | string = ""
    let refc: HTMLVideoElement 
    
    $: updateStream(stream)

    function updateStream(_stream: MediaStreamTrack|string){
        if(refc != null && typeof(_stream) !== 'string'){
            refc.srcObject = new MediaStream([_stream])
        }
    }
</script>

<div class="flex items-center justify-center p-1">
    <div class="w-full flex flex-col items-center">
        <!-- svelte-ignore a11y-media-has-caption -->
        <video id="remoteSource{num}" class="relative border-2 w-full" bind:this="{refc}" autoplay>
        </video>
        <div class="mt-1 mb-3">
            Remote Stream {num}
        </div>
    </div>
</div>